hl

hyperterm-lastpass

⚫️ Lastpass plugin for autofilling passwords in HyperTerm.

Showing:

Popularity

Downloads/wk

9

GitHub Stars

13

Maintenance

Last Commit

5yrs ago

Contributors

0

Package

Dependencies

7

Size (min+gzip)

0.7KB

License

MIT

Type Definitions

Tree-Shakeable

No?

Categories

Readme

HyperTerm Lastpass

Lastpass plugin for autofilling passwords in HyperTerm.

About

I have admired hyperterm-1password because it seemed like such a cool idea, but I have always used Lastpass! This made me quite jealous, so I went ahead and created lastpass-node because there were no Node.js clients yet for Lastpass (sigh). Then I created this cool plugin! Finally, an easy way to fill in my passwords easily with HyperTerm 🎉

Lastpass vaults are stored locally and are encrypted. The plugin will try to clear decrypted accounts from memory as soon as possible, too.

I am not a security expert, and I am not liable for any problems that may arise due to using this plugin.

alt demo

How to use

  1. Either click the Plugins > Lastpass menu item or use Cmd or Ctrl + L.
  2. Enter your Lastpass username and password.
  3. If you need to enter a 2 factor authentication pin, enter it.
  4. Search for the password you want to enter.
  5. Click on the row you would like to autofill a password with.
  6. ????
  7. PROFIT!!!

Caveats

There's currently no way of updating your Lastpass vault locally. The vaults are stored to ~/.lastpass-vault-${USERNAME}, delete the vault you'd like to update and re-login to update the vault.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100
No reviews found
Be the first to rate

Alternatives

No alternatives found

Tutorials

No tutorials found
Add a tutorial